Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class SetPasswordTag

    java.lang.Object
      TagSupport
          com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
              com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                  com.bea.p13n.usermgmt.servlets.jsp.taglib.SetPasswordTag

All Implemented Interfaces
  UserManagementTagConstants

    public class SetPasswordTag

extends ResultTag

Corresponds to `<um:setPassword>`.

The `<um:setPassword>` tag updates the password for the user corresponding to the provided `username`.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
username | yes | String | The username of the user whose password is to be changed. Example: "`<%=username%>`"
password | yes | String | The new user password. Example: "`<%=password%>`"
result | yes | String | The name of an Integer variable to which the result of the set password operation is assigned. Possible Values: Success: `UserManagerTagContstants.SET_PASSWORD_OK` Failure: `UserManagerTagContstants.SET_PASSWORD_FAILED`

Field Summary

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from interface com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTagConstants
`ADD_GROUP_FAILED, ADD_GROUP_OK, ADD_USER_FAILED, ADD_USER_OK, CREATE_GROUP_FAILED, CREATE_GROUP_OK, CREATE_USER_FAILED, CREATE_USER_OK, DEFAULT_SEARCH_EXP, DEFAULT_USER_LIMIT, GET_PROFILE_FAILED, GET_PROFILE_OK, GROUP_CHANGE_FAILED, GROUP_CHANGE_OK, GROUP_EXISTS, LOGIN_ERROR, LOGIN_FAILED, LOGIN_OK, NO_SUCH_PROFILE, NO_SUCH_SUCCESSOR, REMOVE_GROUP_FAILED, REMOVE_GROUP_OK, REMOVE_USER_FAILED, REMOVE_USER_OK, RESERVED_GROUP_NAME, RESERVED_USER_NAME, SET_PASSWORD_FAILED, SET_PASSWORD_OK, SET_PROPERTY_FAILED, SET_PROPERTY_OK, USER_EXISTS, USER_LIMIT_EXCEEDED, USER_SEARCH_FAILED, USER_SEARCH_OK`

Constructor Summary
`SetPasswordTag()`

Method Summary
`int` | `doStartTag()` Go through the UserManager session bean to set the user's password.
`String` | `getPassword()` Get the new password
`String` | `getUsername()` Get the name of the user to modify
`void` | `setPassword(String s)` Set the new password
`void` | `setUsername(String s)` Set the name of the user to modify

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, release, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetPasswordTag

    public SetPasswordTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Go through the UserManager session bean to set the user's password.

  Throws
    `JspException`

### getPassword

    public String getPassword()

  Get the new password

### setPassword

    public void setPassword(String s)

  Set the new password

### getUsername

    public String getUsername()

  Get the name of the user to modify

### setUsername

    public void setUsername(String s)

  Set the name of the user to modify

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved